Bug 466699 - libabiword-devel is too optimistic about its requirements
libabiword-devel is too optimistic about its requirements
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: abiword (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marc Maurer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 19:18 EDT by Paul Bolle
Modified: 2009-11-18 05:38 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 05:38:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bolle 2008-10-12 19:18:10 EDT
Description of problem:
libabiword-devel is too optimistic about its requirements

Version-Release number of selected component (if applicable):
libabiword-devel-2.6.4-8.fc10.i386

How reproducible:
Always, I'd say.

Steps to Reproduce:
1. Install libabiword-devel
2. Try to build the simple example program (i.e. test-widget.c) from the AbiWord SDK (see: http://www.abisource.com/wiki/AbiWord_SDK).
  
Actual results:
Build fails. pkg-config complains about a missing package.

Expected results:
Build succeeds.

Additional info:
I needed to install these additional packages for the build to succeed (in reverse chronological order):
    wv-devel-1.2.4-4.fc9                  
    fribidi-devel-0.19.1-2.fc9            
    goffice04-devel-0.4.3-3.fc9           
    libgsf-devel-1.14.9-2.fc10            
    libgnomeprintui22-devel-2.18.3-1.fc10 
    libgnomeprint22-devel-2.18.5-1.fc10

As far as I can see these packages are all required for libabiword-devel.

Note that I did not try to condense this list to the minimal requirements. Also note that other requirements might have already been satisfied on the system I used. I didn't investigate that.
Comment 1 Bug Zapper 2008-11-25 22:49:23 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-11-18 03:33:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Paul Bolle 2009-11-18 05:38:03 EST
0) Three of the packages mentioned in comment #0 (goffice04-devel, libgnomeprintui22-devel, and libgnomeprint22-devel) aren't needed anymore to build the test-widget.

1) libabiword-devel-1:2.8.1-2.fc13.i686 (current Rawhide) will complain about removing one of the other three packages (wv-devel, fribidi-devel, and libgsf-devel). So I'll mark as CLOSED (CURRENTRELEASE). Thanks.

Note You need to log in before you can comment on or make changes to this bug.